#!/bin/bash

baseDir="/home/somuns/ci4s"
cd ${baseDir}/react-ui

npm config set registry https://registry.npmmirror.com/
npm config set proxy http://172.20.32.253:3128
npm config set https-proxy http://172.20.32.253:3128

npm install --force

if [ $? -ne 0 ]; then
    echo "Failed to install npm depend package"
    exit 1
fi


npm run build  
if [ $? -ne 0 ]; then
    echo "Failed to build react-ui"
    exit 1
fi



